OpenVDB 5.1.0

Static Public Member Functions | List of all members
ISMeanCurvature< DiffScheme2, DiffScheme1 > Struct Template Reference

Compute the mean curvature in index space. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static bool | result (const Accessor &grid, const Coord &ijk, typename Accessor::ValueType &alpha, typename Accessor::ValueType &beta)
| Random access version. More...
template<typename StencilT >
static bool | result (const StencilT &stencil, typename StencilT::ValueType &alpha, typename StencilT::ValueType &beta)
| Stencil access version. More...

## Detailed Description

### template<DDScheme DiffScheme2, DScheme DiffScheme1>
struct openvdb::v5_1::math::ISMeanCurvature< DiffScheme2, DiffScheme1 >

Compute the mean curvature in index space.

## Member Function Documentation

## ◆ result() [1/2]

static bool result | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | typename Accessor::ValueType & | alpha,
|  | typename Accessor::ValueType & | beta
| ) |  |
| inline static

Random access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## ◆ result() [2/2]

static bool result | ( | const StencilT & | stencil,
|  | typename StencilT::ValueType & | alpha,
|  | typename StencilT::ValueType & | beta
| ) |  |
| inline static

Stencil access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

The documentation for this struct was generated from the following file:

- Operators.h